layers(5).
width(0,8).
in_layer(0,n1).
in_layer(0,n2).
in_layer(0,n3).
in_layer(0,n4).
in_layer(0,n5).
in_layer(0,n6).
in_layer(0,n7).
in_layer(0,n8).
width(1,8).
in_layer(1,n9).
in_layer(1,n10).
in_layer(1,n11).
in_layer(1,n12).
in_layer(1,n13).
in_layer(1,n14).
in_layer(1,n15).
in_layer(1,n16).
width(2,8).
in_layer(2,n17).
in_layer(2,n18).
in_layer(2,n19).
in_layer(2,n20).
in_layer(2,n21).
in_layer(2,n22).
in_layer(2,n23).
in_layer(2,n24).
width(3,8).
in_layer(3,n25).
in_layer(3,n26).
in_layer(3,n27).
in_layer(3,n28).
in_layer(3,n29).
in_layer(3,n30).
in_layer(3,n31).
in_layer(3,n32).
width(4,8).
in_layer(4,n33).
in_layer(4,n34).
in_layer(4,n35).
in_layer(4,n36).
in_layer(4,n37).
in_layer(4,n38).
in_layer(4,n39).
in_layer(4,n40).
edge(n25,n37).
edge(n17,n27).
edge(n6,n14).
edge(n28,n39).
edge(n18,n27).
edge(n29,n34).
edge(n5,n9).
edge(n20,n27).
edge(n16,n18).
edge(n3,n16).
edge(n19,n26).
edge(n23,n30).
edge(n7,n9).
edge(n30,n39).
edge(n10,n20).
edge(n17,n30).
edge(n10,n21).
edge(n15,n18).
edge(n23,n26).
edge(n20,n32).
edge(n24,n30).
edge(n26,n39).
edge(n12,n19).
edge(n29,n35).
edge(n15,n22).
edge(n18,n26).
edge(n28,n40).
edge(n23,n31).
edge(n25,n36).
edge(n26,n37).
edge(n31,n36).
edge(n25,n39).
edge(n1,n14).
edge(n12,n23).
edge(n16,n21).
edge(n14,n20).
edge(n6,n9).
edge(n25,n35).
edge(n11,n24).
edge(n18,n32).
edge(n13,n17).
edge(n7,n15).
edge(n2,n15).
edge(n19,n32).
edge(n30,n40).
edge(n22,n28).
edge(n5,n16).
edge(n5,n13).
edge(n16,n24).
edge(n28,n36).
edge(n6,n13).
